function civildate=mjd2civil(mjd)

  % civildate=MJD_DATE(djul)
  %
  % PURPOSE     :  COMPUTE YEAR,MONTH,DAY OF MONTH FROM
  %                MODIFIED JULIAN DATE (MJD=JUL. DATE-2400000.5)
  %
  % PARAMETERS  :
  %         IN  :  mjd       : MODIFIED JULIAN DATE               
  %        OUT  :  civildate : [YEAR MONTH DAY]
  %

  % % one way to get civil day
  % % ------------------------
  % t1  = 1.0 + fix(mjd) + 2400000.0;
  % t4  = mjd - fix(mjd);
  % ih  = fix((t1 - 1867216.25)/36524.25);
  % t2  = t1 + 1 + ih - ih/4;
  % t3  = t2 - 1720995.0;
  % ih1 = fix((t3 - 122.1)/365.25);
  % t1  = 365.25*ih1 - (365.25*ih1 - fix(365.25*ih1));
  % ih2 = fix((t3 - t1)/30.6001);
  % dd  = t3 - t1 - fix( 30.6001*ih2 ) + t4;
  % mm  = ih2 - 1;
  % 
  % if ih2 > 13 
  %   mm = ih2 - 13;
  % end %_if
  % 
  % jj  = ih1;
  % 
  % if ( mm <= 2 ) 
  %   jj = jj + 1;
  % end %_if
  % 
  % civildate = [jj mm dd];

  % another way, a shorter
  % ----------------------
  jd = mjd+2400000.5 ;
  	
  aa = fix(jd+0.5) ;
  bb = aa+1537 ;
  cc = fix((bb-122.1)/365.25) ;
  dd = fix(365.25*cc) ;
  ee = fix((bb-dd)/30.6001) ;
  
  day   = bb-dd-fix(30.6001*ee)+(jd+0.5-fix(jd+0.5)) ;
  month = ee-1-12*fix(ee/14) ;
  year  = cc-4715-fix((7+month)/10) ;
  
  civildate = [year month day];
%end %_function

