function obs = obs_data(date,t,source_file)
%
% vytvoil Lubo Tlskal - mlokin@centrum.cz
%
%vyhledani pseudovzdalenost v souboru *.02o
%
% [PRN  P1  L1  P2  L2] = obs_data(date,t,source_file)
%
% date = datum DD MM RR
% t = pocet vterin od zacatku dne
% source_file = soubor s pseudovzdlenostmi (*.02o)
%
% PRN = cislo druzice
%Pi, Li = P a L kdy vyslan druzicemi

day = date(1);
month = date(2);
year = date(3);
  
p = '  ';

day = int2str(day);
if(size(day)==[1 1])
    p(2)=day;
    day = p;
end

month = int2str(month);
if(size(month)==[1 1])
    p(2)=month;
    month = p;
end

year = int2str(year);
if(size(year)==[1 1])
    p(2)=year;
    year = p;
end




DATA = zeros(7,4);
eof_status=0;
eoh_status =0;
time_test = 24*3600;


fid = fopen(source_file);
while(eof_status==0)
    
    line = fgets(fid);
        
    
    dim = length(line);
    if(eoh_status ==0 & dim >=73 )
        eoh_status = strcmp(line(61:73),'END OF HEADER');
    end
    
        
    if(eoh_status ==1)
              
                   
        day_status =  strcmp(line(8:9),day);
        month_status =strcmp(line(5:6),month);
        year_status = strcmp(line(2:3),year);
        
if( day_status ==1 & month_status ==1 & year_status ==1)
    
        for i = 1:dim
                if(line(i) == 'G')
                    line(i) = ' ';
                end
            end
    
            dat_test = sscanf(line,'%f')';
            t_0 = dat_test(4)*3600+dat_test(5)*60+dat_test(6);
            
            if(time_test >= (abs(t-t_0)))
                dat = dat_test(1:3);
                time = [t_0,dat_test(4:6)];
                
                time_test = abs(t-t_0);
                
               
                PRN =  dat_test(9:length(dat_test))';
                PRN_n = length(PRN);
                DATA = zeros(PRN_n,4 );
                for i = 1:PRN_n 
                    line = fgets(fid);
                    DATA(i,1:4)= sscanf(line,'%f')';
                end
            end    
        end
    end    

eof_status=feof(fid);
end

fclose(fid);

obs = [PRN,DATA];
 
        